using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("TP_SekatanPerjalanan")]
    public class TPSekatanPerjalanan
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long TPSekatanID { get; set; }

        [Required]
        [ForeignKey("TaxPayer")]
        public long TPID { get; set; }

        [StringLength(50)]
        public string SEK104Status { get; set; }

        public decimal SEK104Debit { get; set; } 

        [StringLength(50)]
        public string SEK22Status { get; set; }

        public decimal SEK22Debit { get; set; } 
    }
}
